<template>
    <a :href="content.web_url" class="BubbleLink">
        <div class="BubbleContent">
            <div class="BubbleContentHeader">
                <i class="fab fa-gitlab"></i>
                <span>GitLab</span>
            </div>
            <h3>{{ content.name }}</h3>
            <p v-if="content.description">{{ content.description }}</p>
            <p v-else>Dieses Projekt enthält noch keine Beschreibung.</p>
            <div class="BubbleContentFooter">
                <i class="fa fa-calendar-alt"></i>
                <span>{{ formatDate(content.last_activity_at) }}</span>
            </div>
        </div>
    </a>
</template>

<script>
export default {
    props: ['content'],
    methods: {
        formatDate(date) {
            const options = { year: 'numeric', month: 'long', day: 'numeric' }
            return new Date(date).toLocaleDateString('de',options)
        }
    }
}
</script>

<style scoped>
    .BubbleContentHeader {
        color: #fff;
        margin: 0 0 2rem;
    }
    .BubbleContentFooter i, .BubbleContentFooter span {
        font-size: 1.2rem;
    }
    h3 {
        font-size: 2rem;
        color: #fff;
    }
    i {
        font-size: 1.8rem;
    }
        .animation:hover i {
        color: rgb(250, 121, 1);
    }
    span {
        font-size: 1.8rem;
        margin-left: 1rem;
    }
</style>